Bug 35599 - EXPORT/IMPORT: Exported table from Impress is destroyed in PowerPoint
Summary: EXPORT/IMPORT: Exported table from Impress is destroyed in PowerPoint
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-23 10:44 UTC by gleppert
Modified: 2014-11-11 21:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice table problem (ODP source file) (26.40 KB, application/vnd.oasis.opendocument.presentation)
2011-03-23 10:45 UTC, gleppert
Details
LibreOffice table problem (file as exported to ppt) (90.50 KB, application/vnd.ms-powerpoint)
2011-03-23 10:46 UTC, gleppert
Details
Screenshot of PowerPoint with distorted table (23.85 KB, image/png)
2011-03-23 10:49 UTC, gleppert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gleppert 2011-03-23 10:44:23 UTC
Tables in Impress are wrongly exported to .ppt-files. The layout of the table is completely destroyed after opening the file in PowerPoint 2003/2007

Reproducible: Always
Steps: 
1. Create a table in Calc. Mark the cells and copy the table into Impress.
2. The result in Impress looks like in attached .odp-file.
3. File -> Save As -> Format Microsoft Powerpoint 97/2000/XP results in attached ppt-file.
4. Opening the .ppt-file in Powerpoint 2003 or 2007 in WindowsXP shows a table which is destroyed. Please see attached screenshot.

The system here is:
Ubuntu 32-bit 10.04 (Gnome) with LibreOffice 3.3 and with LibreOffice 3.3.1 PPA.
Comment 1 gleppert 2011-03-23 10:45:10 UTC
Created attachment 44761 [details]
LibreOffice table problem (ODP source file)
Comment 2 gleppert 2011-03-23 10:46:05 UTC
Created attachment 44762 [details]
LibreOffice table problem (file as exported to ppt)
Comment 3 gleppert 2011-03-23 10:49:13 UTC
Created attachment 44763 [details]
Screenshot of PowerPoint with distorted table
Comment 4 gleppert 2011-03-23 10:53:21 UTC
Additional remark: 
If I open the ODP-file in OpenOffice.org 3.3 and export it from there to Powerpoint, everything works fine. The table is not distorted and is displayed correctly in Powerpoint.
Comment 5 gleppert 2011-03-30 12:45:38 UTC
The problem is still there in the most recent version. Tested with LibreOffice PPA in Ubuntu 3.3.2

Can anyone else confirm the bug also on other platforms?
Comment 6 gleppert 2011-04-16 18:30:28 UTC
Please, can anyone have a look at the bug and confirm it? Maybe even testing it in other operating systems or with other MS Office versions. Thanks.
Comment 7 Kohei Yoshida 2011-04-18 12:07:00 UTC
I opened your ppt file from Comment 2 in PowerPoint 2007 and newer, but when opened in 2003 and older the table looks corrupted.

I'll give this to Thorsten.
Comment 8 Kohei Yoshida 2011-04-18 18:03:45 UTC
(In reply to comment #7)
> I opened your ppt file from Comment 2 in PowerPoint 2007 and newer, 

and I meant to continue on to say "and the table looks fine".
Comment 9 A (Andy) 2013-03-03 11:34:40 UTC
Not reproducible with LO 4.0.0.3. (Win7 Home, 64bit) in this way anymore.
When saving the file as a ppt everything is fine when reopening it with LO and MSO 2007.

But if you save this file as a pptx and reopen it, then the table is buggy. 
Result in LO: The font size is changed and all the background colors have changed to blue.
Result in MSO 2007: The font size is changed and the background color is missing (no color at all).
Comment 10 bfoman (inactive) 2013-08-15 21:02:03 UTC
Checked with:
Version: 4.2.0.0.alpha0+
Build ID: 087a610fcd5c0c354a9ed6bfccd3451b667d62a3
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-04_21:41:24
Windows 8.1 Enterprise Preview 64 bit

Same results as in comment 9. So, for ppt file this is RESOLVED WORKSFORME candidate. Problems with pptx file should be filed as a new bug.
Comment 11 Thorsten Behrens (CIB) 2013-09-12 16:14:43 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 12 Timur 2014-11-11 21:22:58 UTC
(In reply to bfoman from comment #10)
> Same results as in comment 9. So, for ppt file this is RESOLVED WORKSFORME
> candidate. Problems with pptx file should be filed as a new bug.

I set as Resolved for export to PPT problem. 
For export to PPTX there are already at least Bug 62255 and Bug 80340.